Bug 1102895 - while content hosts are being added, elasticsearch queries fail
Summary: while content hosts are being added, elasticsearch queries fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-29 19:04 UTC by Tom McKay
Modified: 2019-09-26 18:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:09:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC
Foreman Issue Tracker 5991 None None None 2016-04-22 14:54:37 UTC

Description Tom McKay 2014-05-29 19:04:50 UTC
I am running hammer-cli-csv content-hosts 6 threads against 8 cpu server adding 12k systems. While the run is progressing, the content hosts UI page is blank (api call returns zero results). Checking log shows "Tire::Search::SearchRequestFailed". When I stop the hammer command, the UI shows correct results.

Comment 1 Tom McKay 2014-05-29 19:04:52 UTC
Created from redmine issue http://projects.theforeman.org/issues/5991

Comment 4 Bryan Kearney 2015-08-25 17:23:42 UTC
Upstream bug component is WebUI

Comment 5 Bryan Kearney 2015-08-25 17:36:28 UTC
Upstream bug component is Content Management

Comment 6 Bryan Kearney 2015-12-21 21:01:10 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5991 has been closed

Comment 9 sthirugn@redhat.com 2016-04-07 21:01:13 UTC
Verified in satellite-6.2.0-6.2.beta.el7sat.noarch

I had a bash script running content host creation from 1 to 100 hosts.  I was able to access the Satellite UI at the same time without any issues.  I tried to access UI often starting from the 1st content host creation all the way up to 100 content hosts.

Comment 11 errata-xmlrpc 2016-07-27 09:09:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.